Jump to content

Welcome to AppCake Forum
Register now to gain access to all of our features. Once registered and logged in, you will be able to create topics, post replies to existing threads, give reputation to your fellow members, get your own private messenger, post status updates, manage your profile and so much more. If you already have an account, login here - otherwise create an account for free today!
Photo
Release

CrackerXI+ - GUI App Decryption Tool for iOS 11.x - 14.x



  • You cannot start a new topic
  • Please log in to reply
319 replies to this topic

#301
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 32,298 posts
    • Time Online: 300d 15h 1m 38s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12

is there eny progress for ios 14 ?

since only 6S, 6S+ and SE(1st gen) work presently it will be a while until more devices are compatible and tests can be done.


  • boyzy1702 likes this

#302
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 32,298 posts
    • Time Online: 300d 15h 1m 38s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12
Apps can be cracked on iOS 14.x but will NOT work on iOS 14.x but will on iOS 13.x and below if compatible.

Cracked apps do NOT work on iOS 14.x

#303
zachary

zachary

    IC L.E.G.E.N.D

  • IC Uploader
  • 14,014 posts
    • Time Online: 82d 6h 53m 14s
  • Twitter:https://twitter.com/Zachary_cracks
  • LocationEU
  • iDevices Owned:iPhone 6, iPhone 7, iPad Mini, iHave a PC
  • Donations:Use Itunes Gift cards

Apps can be cracked on iOS 14.x but will NOT work on iOS 14.x but will on iOS 13.x and below if compatible.

Cracked apps do NOT work on iOS 14.x

 

updated ? 



#304
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 32,298 posts
    • Time Online: 300d 15h 1m 38s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12

updated ? 

nope same version as before.

in the mean time DO NOT post iOS14 only apps and DO NOT mark apps iOS 14 compatible.

for now iOS 14 apps require sideload.



#305
The1Day

The1Day

    IC Master

  • IC Uploader
  • 359 posts
    • Time Online: 2d 16h 10m 2s
  • LocationRussia
  • iDevices Owned:iPhone 7+, iPad 5

Here's a workaround to launch cracked apps on iOS 14 with jailbreak:

1. Install "AppSync New" from Linus Yang's repo (https://repo.linusyang.com)

2. Install "AntiProfilesRevoke" from BigBoss's repo (http://apt.thebigbos...epofiles/cydia/)

3. ???

4. You're awesome!



#306
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 32,298 posts
    • Time Online: 300d 15h 1m 38s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12
You require these 2 DEB files to be installed to make apps work on iOS 14.x
This is a work around until a new Appsync Unified is released.
 
net.angelxwind.appsyncunified_84.0b_iphoneos-arm.deb
netskao.antiprofilesrevoke_1.1-1_iphoneos-arm.deb

It is HIGHLY NOT recommended to NOT install the "Appsync New" from LinusYang repo as it is VERY OLD !
  • telefonbuch likes this

#307
The1Day

The1Day

    IC Master

  • IC Uploader
  • 359 posts
    • Time Online: 2d 16h 10m 2s
  • LocationRussia
  • iDevices Owned:iPhone 7+, iPad 5

AppSync New isn't something bad and outdated (it supports arm64e btw), but if you say so here's fixed DEB with Karen's AppSync for iOS 14 because your seems to be broken:

https://dailyuploads.net/n9srjv3ucx5a



#308
K_K

K_K

    Fresh Newbie

  • IC Lurker
  • Pip
  • 2 posts
    • Time Online: 5m 14s
  • Facebook:Georgevop
  • iDevices Owned:iPhone 3GS, iPhone 4, iPhone 4S, iPhone 5, iPhone 5c, iPhone 5S, iPhone SE, iPhone 6, iPhone 7, iPhone 8, iPhone X, iPhone XR, iPhone XS, iPhone XS Max, , iPhone 11 Pro, iPhone 11 Pro Max

Is there some way I can get this to work on odyssey jailbreak?...   it says “enable hook” when it’s already enabled. I've asked google he's been no help. Is there a solution to this issue?... Thanks



#309
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 32,298 posts
    • Time Online: 300d 15h 1m 38s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12

Is there some way I can get this to work on odyssey jailbreak?...   it says “enable hook” when it’s already enabled. I've asked google he's been no help. Is there a solution to this issue?... Thanks

does not work with libhooker



#310
K_K

K_K

    Fresh Newbie

  • IC Lurker
  • Pip
  • 2 posts
    • Time Online: 5m 14s
  • Facebook:Georgevop
  • iDevices Owned:iPhone 3GS, iPhone 4, iPhone 4S, iPhone 5, iPhone 5c, iPhone 5S, iPhone SE, iPhone 6, iPhone 7, iPhone 8, iPhone X, iPhone XR, iPhone XS, iPhone XS Max, , iPhone 11 Pro, iPhone 11 Pro Max

does not work with libhooker

:( is there going to be a work around or a fix?.. frustrating not being able to use this tool ;(



#311
pk31

pk31

    Fresh Newbie

  • IC Lurker
  • Pip
  • 3 posts
    • Time Online: 1m 20s

Hi, I am trying to decrypt a tweaked app that I installed via Filza. Because of this, the app is not being displayed on the App List.

Questions:

 

1) Is there any way to decrypt already tweaked apps, either via the app, terminal commands, or even other solutions.
2) I am trying to decrypt pokemon go which is a large app and CrackerXI doesn't seem to be decrypting it. Do I have to use the app or leave it running for more time?

Thank you for the awesome work on the app :)



#312
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 32,298 posts
    • Time Online: 300d 15h 1m 38s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12

Hi, I am trying to decrypt a tweaked app that I installed via Filza. Because of this, the app is not being displayed on the App List.

Thank you for the awesome work on the app :)

 

tweaked apps are already decrypted !

 

you have the IPA already since you downloaded it to install via Filza !!!!!!!

 


  • pk31 likes this

#313
pk31

pk31

    Fresh Newbie

  • IC Lurker
  • Pip
  • 3 posts
    • Time Online: 1m 20s

I see, I thought I had to re-decrypt them. Thank you :)



#314
rck

rck

    Fresh Newbie

  • IC Member
  • 6 posts
    • Time Online: 13m 6s

works perfectly fine across iOS 11-13.4.1 on 8 devices.

 

Hello user_hidden,

Ok, so there must be a way to make it work on iOS11  :gamer:

 

So I will try again to use it with iOS 11.4.1 on iPhone5s.

I have found that when I had updated jailbreak-resources to version > 1.0~b23, the listing of app was just empty in crackerxi.

I will try latest version of unc0ver who support 1.0~b23 and report.

 

In meanwhile, could you give me your setup with iOS 11.3.1 or iOS 11.4.1 ? (I need the version of ios + unc0ver + jailbreak-resources package)

 

Thanks !



#315
rck

rck

    Fresh Newbie

  • IC Member
  • 6 posts
    • Time Online: 13m 6s

Hello,

 

So I tried electra 2.0, then unc0ver 2.2.6 + 3.1.2 + 3.5.6 on my iphone5s (iOS 11.3.1) with crackerxi_1.1.16, and no luck, I can't find a way to make it hook correctly.

@user_hidden : I think you still have one device on iOS 11.3 or 11.4, could you provide me a list of installed packages with dpkg --list ?

It will help me a lot to track what package I need to downgrade to make crackerxi 1.1.16 works correctly on iOS11.

 

Thanks in advance  :cool:  



#316
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 32,298 posts
    • Time Online: 300d 15h 1m 38s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12

Hello,

 

So I tried electra 2.0, then unc0ver 2.2.6 + 3.1.2 + 3.5.6 on my iphone5s (iOS 11.3.1) with crackerxi_1.1.16, and no luck, I can't find a way to make it hook correctly.

@user_hidden : I think you still have one device on iOS 11.3 or 11.4, could you provide me a list of installed packages with dpkg --list ?

It will help me a lot to track what package I need to downgrade to make crackerxi 1.1.16 works correctly on iOS11.

 

Thanks in advance  :cool:  

i have NO packages installed.

device is for dev purposes only.

 

Clean firmware load

JB device

install Cxi

 

note: electra can be an issue

why use old versions of unc0ver



#317
rck

rck

    Fresh Newbie

  • IC Member
  • 6 posts
    • Time Online: 13m 6s

i have NO packages installed.
device is for dev purposes only.

Clean firmware load
JB device
install Cxi

note: electra can be an issue
why use old versions of unc0ver


Ok :
I reinstalled one clean firmware 11.4.1 on iPhone5s
I jailbreak it with Uncover 4.3.1
I updated the packages with cydia
I installed crackerxi_1.1.16

What I got is a correct app listing, but the "hook error" popup, even if I enabled the hook in settings tab.
Please find attached my dpkg listing and the screenshots of error.
If you have any idea to help me fix this, I will test them :)

ps: on the same device, I also tried crackerxi_1.1.5 which is working well (no hook problem), but this version is quite old and lack of options like "fakesign ipa files", so I would prefer to fix the version 1.1.16.

Attached Files



#318
rck

rck

    Fresh Newbie

  • IC Member
  • 6 posts
    • Time Online: 13m 6s

To be short, could you tell me which version of unc0ver are you using for your iOS 11.4.1 setup ?  :bye:



#319
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 32,298 posts
    • Time Online: 300d 15h 1m 38s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12

To be short, could you tell me which version of unc0ver are you using for your iOS 11.4.1 setup ?  :bye:

unc0ver 5.3.1

 

please try to uninstall crackerxi from cydia.

respring device

reinstall cracker xi

respring device

start crackerxi

goto settings and make sure the following are ON

crackerxi hook

fakesign ipa file

test......



#320
rck

rck

    Fresh Newbie

  • IC Member
  • 6 posts
    • Time Online: 13m 6s
Thank for unc0ver version input user_hidden, it helps me to find the problem !
So I made more tests and it was finally a problem with the substitutor used:

----- Crackerxi 1.1.16 tested on -----

- fresh iPhone6 + iOS 11.1.2 + uncover 2.2.6 + substrate 0.9.7020 = FAIL (Enable CrackerXI hook in settings tab)
- fresh iPhone6 + iOS 11.1.2 + uncover 3.1.2 + substrate 0.9.7033 = FAIL (Error Hooking!)
- fresh iPhone6 + iOS 11.1.2 + uncover 3.6.3 + substrate 0.9.7033 = FAIL (Enable CrackerXI hook in settings tab)
- fresh iPhone6 + iOS 11.1.2 + uncover 3.6.3 + substrate 0.9.7101 = FAIL (Enable CrackerXI hook in settings tab)
- fresh iPhone6 + iOS 11.1.2 + uncover 4.3.1 + substrate 0.9.7100~b4 = FAIL (Enable CrackerXI hook in settings tab)
- fresh iPhone6 + iOS 11.1.2 + uncover 4.3.1 + substrate 0.9.7101 = FAIL (Enable CrackerXI hook in settings tab)
- fresh iPhone6 + iOS 11.1.2 + uncover 4.3.1 + substrate 0.9.7111 = FAIL (Enable CrackerXI hook in settings tab)
- fresh iPhone6 + iOS 11.1.2 + uncover 5.3.1 + substitute 0.1.13 = OK
- fresh iPhone6 + iOS 11.1.2 + uncover 5.3.1 + substitute 0.2.0.9 = FAIL (Error Hooking!)
- fresh iPhone6 + iOS 11.1.2 + uncover 6.1.1 + substitute 0.2.0.9 = FAIL (CrackerXI freeze after app to be decrypted is launched)
- fresh iPhone6 + iOS 11.1.2 + uncover 6.1.1 + substitute 0.1.15 = OK
- fresh iPhone6 + iOS 12.4 + uncover 4.3.1 + substitute 0.1.15 = OK

- fresh iPhone5s + iOS 11.4.1 + uncover 5.3.1 + substitute 0.1.13 = OK
- fresh iPhone5s + iOS 11.4.1 + uncover 5.3.1 + substitute 0.1.15 = OK
- fresh iPhone5s + iOS 11.4.1 + uncover 5.3.1 + substitute 0.2.0.9 = FAIL (Error Hooking!)

Conclusion:
- substrate seems to never work on iOS11 (but is OK on iOS12)
- substitute <= 0.1.15 is OK with iOS11.
  • user_hidden likes this





Also tagged with one or more of these keywords: Release